-----------------------------------------------------------------------------------------------
-- Client Lua Script for StatView
-- Copyright Celess. All rights reserved.
-----------------------------------------------------------------------------------------------

local Addon = Apollo.GetAddon("StatView")
if not Addon then return end

local _defaultSettings = Addon._defaultSettings
local _resetSettings = Addon._resetSettings

local _floor = math.floor
local _abs = math.abs
local _format = string.format
local _len = string.len
local _tsort = table.sort

local _print = Addon._print


-----------------------------------------------------------------------------------------------
-- Initialization
-----------------------------------------------------------------------------------------------

function Addon:NewLocale(lc, default)
	local L,s = self.L, Apollo.GetString(1)
	if (s == "Annuler" and "frFR" or (s == "Abbrechen" and "deDE" or "enUS")) == lc then return L,self end

	if default then
		self.Ldefault = setmetatable({}, getmetatable(L))
		setmetatable(L, { __index = self.Ldefault })
		return self.Ldefault,self
	end
end


